Package org.jfree.report.flow

# Class AbstractReportProcessor

java.lang.Object
org.jfree.report.flow.AbstractReportProcessor

All Implemented Interfaces:
  `ReportProcessor`

Direct Known Subclasses:
  `FlowReportProcessor`, `PaginatingReportProcessor`, `SinglePassReportProcessor`, `StreamingReportProcessor`

public abstract class AbstractReportProcessor extends Object implements ReportProcessor
Creation-Date: 10.11.2006, 16:07:26

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractReportProcessor()`

## Method Summary

Modifier and Type
Method
Description
`protected FlowController`
`createFlowControler(ReportContext context, ReportJob job)`
`protected ReportContext`
`createReportContext(ReportJob job, ReportTarget target)`
`protected void`
`processReportRun(ReportJob job, ReportTarget target)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jfree.report.flow.ReportProcessor

`processReport`

## Constructor Details

### AbstractReportProcessor

protected AbstractReportProcessor()

## Method Details

### processReportRun

protected void processReportRun(ReportJob job, ReportTarget target) throws ReportDataFactoryException, DataSourceException, ReportProcessingException

Throws:
  `ReportDataFactoryException`
  `DataSourceException`
  `ReportProcessingException`

### createReportContext

protected ReportContext createReportContext(ReportJob job, ReportTarget target)

### createFlowControler

protected FlowController createFlowControler(ReportContext context, ReportJob job) throws DataSourceException

Throws:
  `DataSourceException`